<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, mainContent=~{::mainContent}, breadcrumbs=~{::breadcrumbs}, contextual=~{::contextual})}">
<head>
    <title>Form Administration Console</title>
    <th:block th:fragment="scripts">
        <script th:src="@{/js/app/authority/search.js}"></script>
        <script id="tpl-toolbar" type="text/x-handlebars-template">
            <a role="edit" th:href="@{/authority/{{id}}/view}"><i class="fa fa-pencil fa-lg"></i></a>
            <a role="remove" th:href="@{/authority/{{id}}/remove}" data-toggle="confirm" th:attr="data-confirm-title=#{Authority : {0}('{{entityId}}')}, data-confirm-content=#{Do you really want to remove this authority ?}"><i class="fa fa-trash fa-lg"></i></a>
        </script>
    </th:block>
</head>
<body>
    <ol class="breadcrumb" th:fragment="breadcrumbs">
        <li>
            <a th:href="@{/}" th:text="#{Home}"></a>
        </li>
        <li class="active">
            <span th:text="#{Authorities}"></span>
        </li>
    </ol>
    <div th:fragment="contextual">
        <a id="btn-import-authorities" th:href="@{/authority/import}" class="btn btn-help" style="font-size: 1.2em">
            <span class="fa-stack">
                <i class="fa fa-circle fa-stack-2x"></i>
                <i class="fa fa-upload fa-stack-1x fa-inverse"></i>
            </span>
        </a>
        <a id="btn-add-authority" th:href="@{/authority/view}" class="btn btn-help" style="font-size: 1.2em">
            <span class="fa-stack">
                <i class="fa fa-circle fa-stack-2x"></i>
                <i class="fa fa-plus fa-stack-1x fa-inverse"></i>
            </span>
        </a>
    </div>
    <div th:fragment="mainContent">
        <div th:replace="commons/modal::default(id='confirmModal', title='Confirm')"></div>
        <div class="row">
            <div class="col-md-12">
                <table id="authorities" class="table table-stripped table-condensed table-hover" data-toggle="datatable" data-page-length="10" data-length-change="false" data-processing="true"
                    data-searching="true"  data-search-delay ="1000" data-paging-type="full_numbers" th:attr="data-order='[[0, \'asc\']]', data-ajax=@{/authority/search/data}">
                    <thead>
                        <tr>
                            <th class="code" th:text="#{Authority code}" data-class="code" data-data="entityId" th:attr="data-link=@{/authority/{{id}}/view}">UID</th>
                            <th class="name" th:text="#{Authority name}" data-class="name" data-data="label">Name</th>
                            <th class="toolbar" data-class="toolbar" data-sortable="false" data-template="toolbar"></th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</body>
</html>